v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/{studyVersion}/rnddesign/{rndDesignId}/treatments
Retrieves a list of all treatment arms for a randomization design. Rights: DesignerRandListGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
rndDesignId(required): string(uuid)
ID of the randomization design.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyVersion(required): string
Version of the study.Example:
1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- */*
200 Response
Successful operation
Nested Schema : Treatment
Type:
objectContains treatment details.
Show Source
-
comment: string
CommentExample:
Some comment -
description: string
Treatment descriptionExample:
Treatment description -
externalTreatmentId: string
External treatment identifier.Example:
Treatment A -
id: string
(uuid)
ID of the treatment
-
objectVersionNumber: number
(double)
Audit trail field that represents the version number of the data.Example:
5 -
operationType: string
Allowed Values:
[ "CREATED", "MODIFIED" ]Operation type on the record, can have values CREATED, MODIFIED or REMOVEDExample:MODIFIED -
reason: string
ReasonExample:
Some reason -
shortName: string
Treatment short nameExample:
TxA -
softwareVersionNumber: number
(double)
Software version numberExample:
5 -
srcId: string
(uuid)
Internal ID of treatment
-
srcVersionStart: string
(date-time)
Internal version start of treatment
-
studyId: string
(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
-
studyVersionStart: string
(date-time)
String representing the version of the study. Helps track changes in form or study design.
-
treatmentId: string
(uuid)
-
userId: string
(uuid)
Unique user identifier representing the clinicalone user who modified or interacted with the subject record. Uses UUID in a 32-character uppercase hexadecimal string format.
-
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
404 Response
Study not found. Or randomization design not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object